# Data

## Get countries

> Retrieves a list of available countries and their states

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Pagination":{"type":"object","description":"Pagination metadata","properties":{"current_page":{"type":"number"},"next_page":{"type":"number"},"prev_page":{"type":"number"}}}}},"paths":{"/portal/instance/company/countries":{"get":{"summary":"Get countries","description":"Retrieves a list of available countries and their states","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with an array of countries and optional states","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"meta":{"$ref":"#/components/schemas/Pagination"},"result":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":2,"maxLength":2,"description":"The ISO-3166 alpha-2 country code"},"name":{"type":"string","description":"The country name"},"continent_id":{"type":"string","description":"The 2-letter continent code"},"states":{"type":"array","description":"An optional array of country states, regions or areas","items":{"type":"object","properties":{"id":{"type":"string","description":"The 2-letter state code"},"name":{"type":"string","description":"The state name"}}}}}}}}}}}}}}}}}
```

## Get sectors

> Retrieves a list of available system sectors

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Pagination":{"type":"object","description":"Pagination metadata","properties":{"current_page":{"type":"number"},"next_page":{"type":"number"},"prev_page":{"type":"number"}}}}},"paths":{"/portal/instance/company/sectors":{"get":{"summary":"Get sectors","description":"Retrieves a list of available system sectors","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with an array of sectors","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"meta":{"$ref":"#/components/schemas/Pagination"},"result":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number","description":"The sector ID"},"name":{"type":"string","description":"The sector name"},"description":{"type":"string","description":"The sector description"}}}}}}}}}}}}}}
```

## Get industries

> Retrieves a list of available system industries

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Pagination":{"type":"object","description":"Pagination metadata","properties":{"current_page":{"type":"number"},"next_page":{"type":"number"},"prev_page":{"type":"number"}}}}},"paths":{"/portal/instance/company/industries":{"get":{"summary":"Get industries","description":"Retrieves a list of available system industries","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with an array of industries","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"meta":{"$ref":"#/components/schemas/Pagination"},"result":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number","description":"The industry ID"},"name":{"type":"string","description":"The industry name"},"description":{"type":"string","description":"The industry description"}}}}}}}}}}}}}}
```

## Get criteria groups

> Retrieves a list of available system criteria groups

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Pagination":{"type":"object","description":"Pagination metadata","properties":{"current_page":{"type":"number"},"next_page":{"type":"number"},"prev_page":{"type":"number"}}}}},"paths":{"/portal/instance/company/criteria-groups":{"get":{"summary":"Get criteria groups","description":"Retrieves a list of available system criteria groups","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with an array of criterias","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"meta":{"$ref":"#/components/schemas/Pagination"},"result":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number","description":"The criteria group id"},"name":{"type":"string","description":"The criteria group name"},"description":{"type":"string","description":"The criteria description"},"applied_to":{"description":"The target entity applied by this criteria group.","type":"string","enum":["USER","COMPANY"]},"criterias":{"type":"array","description":"An array of available criteria options","items":{"type":"object","properties":{"id":{"type":"number","description":"The criteria id"},"name":{"type":"string","description":"The criteria name"},"value":{"type":"string","description":"The criteria value"}}}}}}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clym.io/api-reference/instance/data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
